AOZ Studio Beta - Bug #950

(Profanity/Blasphemous) and possibly other words open blank window & additional tree under ide
MAC

11/20/2022 08:00 AM - malcolm harvey

Status: Closed Start date: 11/20/2022
Priority: Normal Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B16) u27

Description

Using (Profanity/Blasphemous) words (and many other word combos) such as the below in the mac aoz editor and running both in
the previewer a few times or the full screen browser triggers (it instantly there), causes a blank tab to appear in the ide editor see
screenshots and also it creates a user folder(s) with sub folders under your ide application name as well, again see screenshots.
(Mac).

Words that trigger this below. The windows version does not do this only the mac.

Again other words can also do this on the mac.

Dick Wad

Dip Shit

Suck A Lemon

Eat Dirt

Go Root Your Boot
Go Tell Your Momma
etc

etc

History

#1 - 11/20/2022 08:37 AM - malcolm harvey

- File opening new tab and usr folder linux.png added

Also this has the same issue Linux. (See screenshot) in (B16) U27.

#2 - 11/20/2022 06:07 PM - Brian Flanagan

It has nothing to do with profanity... or any other specific words. It has to do with certain instances of syntax errors.
This has been a problem on and off for quite some time... and yes, it is quite annoying!

It will also happen sometimes, if you leave off parameters on a command, or add extra parameters that don't fit into the proper syntax.
For example, both of the following are syntax errors, however:

This will cause the extra window to be opened...
Get Bob 0,0 TO 100,100, "abc"
...however, this will not:

Get Bob 0,0 TO 100,100,3

#3 - 01/20/2023 01:24 AM - malcolm harvey

- Status changed from New to Closed

Atom is being done away with so closing this ticket, wont be relevant.

#4 - 01/20/2023 08:11 AM - malcolm harvey

If this comes about in new editor, | will open another ticket.

Files
opening blank tab mac.png 275 KB

Also blank creates user ide tree.png 17.3 KB

opening new tab mac.png 272 KB

opening new tab and usr folder linux.png 235 KB
